> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-1d264819.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 서비스 비밀번호 업데이트

> 서비스의 새 비밀번호를 설정합니다.



## OpenAPI

````yaml /ko/products/cloud/api-reference/cloud-openapi.json patch /v1/organizations/{organizationId}/services/{serviceId}/password
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/password:
    patch:
      tags:
        - Service
      summary: 서비스 비밀번호 업데이트
      description: 서비스의 새 비밀번호를 설정합니다.
      parameters:
        - description: 서비스를 소유한 조직의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 비밀번호를 업데이트할 서비스의 ID입니다.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServicePasswordPatchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ServicePasswordPatchResponse'
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    ServicePasswordPatchRequest:
      properties:
        newDoubleSha1Hash:
          description: >-
            MySQL 프로토콜용 선택적 double SHA1 비밀번호 해시입니다. newPasswordHash가 제공되지 않으면 이
            키는 무시되고 생성된 비밀번호가 사용됩니다. 알고리즘: echo -n "yourpassword" | sha1sum | tr
            -d '-' | xxd -r -p | sha1sum | tr -d '-'
          type: string
        newPasswordHash:
          description: >-
            선택적 비밀번호 해시입니다. 네트워크를 통해 비밀번호를 전송하지 않도록 하는 데 사용됩니다. 제공되지 않으면 새 비밀번호가
            생성되어 응답에 포함됩니다. 그렇지 않으면 이 해시가 사용됩니다. 알고리즘: echo -n "yourpassword" |
            sha256sum | tr -d '-' | xxd -r -p | base64
          type: string
    ServicePasswordPatchResponse:
      properties:
        password:
          description: 새 서비스 비밀번호입니다. 요청에 'newPasswordHash'가 없는 경우에만 제공됩니다.
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 키 ID와 키 시크릿을 사용하십시오:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````